PhoneGap – 无法通过npm安装,phonegap不存在

我正在尝试下载并运行PhoneGap。 我已经尝试了3台机器(2个mac,1个windows),我不禁感到好像我做错了什么。

我有nodeJS(v0.10.13)和NPM(1.3.2)安装到最新版本,使用自制软件。

要安装PhoneGap我通过命令行执行以下操作: sudo npm install -g phonegap

NPM继续下载大量的软件包并安装时没有任何警告或错误。

安装后,我得到以下,我认为是正确的:

 npm http 200 https://registry.npmjs.org/asn1/-/asn1-0.1.11.tgz /usr/local/share/npm/bin/phonegap -> /usr/local/share/npm/lib/node_modules/phonegap/bin/phonegap.js phonegap@3.0.0-0.14.0 /usr/local/share/npm/lib/node_modules/phonegap ├── pluralize@0.0.4 ├── colors@0.6.0-1 ├── semver@1.1.0 ├── qrcode-terminal@0.9.4 ├── shelljs@0.1.4 ├── optimist@0.6.0 (wordwrap@0.0.2, minimist@0.0.1) ├── node-static@0.7.0 (colors@0.6.0, mime@1.2.9) ├── phonegap-build@0.8.3 (qrcode-terminal@0.8.0, optimist@0.3.7, shelljs@0.0.9, phonegap-build-api@0.3.3) ├── prompt@0.2.11 (revalidator@0.1.5, pkginfo@0.3.0, read@1.0.5, winston@0.6.2, utile@0.2.0) └── cordova@3.0.0 (ncallbacks@1.0.0, colors@0.6.0, open@0.0.3, shelljs@0.1.2, follow-redirects@0.0.3, elementtree@0.1.3, glob@3.2.3, plist@0.4.3, prompt@0.2.7, xcode@0.5.1, tar@0.1.17, express@3.0.0, ripple-emulator@0.9.18, plugman@0.9.10, request@2.22.0) MikeBook-Pro:apps Mike$ 

然后我重新启动terminal(完全退出,cmd + q),运行phonegap ,迎接:

 MikeBook-Pro:~ Mike$ phonegap -bash: phonegap: command not found 

我在我的智慧在这里结束。 我已经通过NPM安装了其他东西,没有问题。 我的/etc/paths如下所示:

 /usr/bin /bin /usr/sbin /sbin /usr/local/bin 

我已经按照上面的步骤使用cordova而不是phonegap ,但唉! 同样的问题。

任何帮助非常感激,我只是想哭。

编辑:我目前正在尝试OSX 10.8.2(山狮)

       

网上收集的解决方案 "PhoneGap – 无法通过npm安装,phonegap不存在"